TagLib::IT::File Class Reference

An implementation of TagLib::File with IT specific methods. More...

`#include <itfile.h>`

Inheritance diagram for TagLib::IT::File:
[legend]
Collaboration diagram for TagLib::IT::File:
[legend]

## Public Member Functions

| File (FileName file, bool readProperties=true, AudioProperties::ReadStyle propertiesStyle=AudioProperties::Average)
| File (IOStream *stream, bool readProperties=true, AudioProperties::ReadStyle propertiesStyle=AudioProperties::Average)
| ~File () override
| File (const File &)=delete
File & | operator= (const File &)=delete
Mod::Tag * | tag () const override
IT::Properties * | audioProperties () const override
bool | save () override
Public Member Functions inherited from TagLib::Mod::FileBase
| ~FileBase () override
| FileBase (const FileBase &)=delete
FileBase & | operator= (const FileBase &)=delete
Public Member Functions inherited from TagLib::File
| File (const File &)=delete
File & | operator= (const File &)=delete
FileName | name () const
virtual PropertyMap | properties () const
virtual void | removeUnsupportedProperties (const StringList &properties)
virtual PropertyMap | setProperties (const PropertyMap &properties)
virtual StringList | complexPropertyKeys () const
virtual List< VariantMap > | complexProperties (const String &key) const
virtual bool | setComplexProperties (const String &key, const List< VariantMap > &value)
ByteVector | readBlock (size_t length)
void | writeBlock (const ByteVector &data)
offset_t | find (const ByteVector &pattern, offset_t fromOffset=0, const ByteVector &before=ByteVector())
offset_t | rfind (const ByteVector &pattern, offset_t fromOffset=0, const ByteVector &before=ByteVector())
void | insert (const ByteVector &data, offset_t start=0, size_t replace=0)
void | removeBlock (offset_t start=0, size_t length=0)
bool | readOnly () const
bool | isOpen () const
bool | isValid () const
void | seek (offset_t offset, Position p=Beginning)
void | clear ()
offset_t | tell () const
offset_t | length ()

## Additional Inherited Members

Public Types inherited from TagLib::File
enum | Position { Beginning , Current , End }
enum | StripTags { StripNone , StripOthers }
enum | DuplicateTags { Duplicate , DoNotDuplicate }
Protected Member Functions inherited from TagLib::Mod::FileBase
| FileBase (FileName file)
| FileBase (IOStream *stream)
void | writeString (const String &s, unsigned long size, char padding=0)
void | writeByte (unsigned char byte)
void | writeU16L (unsigned short number)
void | writeU32L (unsigned long number)
void | writeU16B (unsigned short number)
void | writeU32B (unsigned long number)
bool | readString (String &s, unsigned long size)
bool | readByte (unsigned char &byte)
bool | readU16L (unsigned short &number)
bool | readU32L (unsigned long &number)
bool | readU16B (unsigned short &number)
bool | readU32B (unsigned long &number)
Protected Member Functions inherited from TagLib::File
| File (FileName fileName)
| File (IOStream *stream)
void | setValid (bool valid)
void | truncate (offset_t length)
Static Protected Member Functions inherited from TagLib::File
static unsigned int | bufferSize ()

## Detailed Description

An implementation of TagLib::File with IT specific methods.

This implements and provides an interface for IT files to the TagLib::Tag and TagLib::AudioProperties interfaces by way of implementing the abstract TagLib::File API as well as providing some additional information specific to IT files.

## Constructor & Destructor Documentation

## File() [1/3]

TagLib::IT::File::File | ( | FileName | file,
|  | bool | readProperties = true,
|  | AudioProperties::ReadStyle | propertiesStyle = AudioProperties::Average )

Constructs an Impulse Tracker file from file.

Note
  In the current implementation, both readProperties and propertiesStyle are ignored. The audio properties are always read.

References TagLib::AudioProperties::Average.

Referenced by File(), and operator=().

## File() [2/3]

TagLib::IT::File::File | ( | IOStream * | stream,
|  | bool | readProperties = true,
|  | AudioProperties::ReadStyle | propertiesStyle = AudioProperties::Average )

Constructs an Impulse Tracker file from stream.

Note
  In the current implementation, both readProperties and propertiesStyle are ignored. The audio properties are always read.
  TagLib will not take ownership of the stream, the caller is responsible for deleting it after the File object.

References TagLib::AudioProperties::Average.

## ~File()

TagLib::IT::File::~File | ( |  | ) |

override virtual

Destroys this instance of the File.

Reimplemented from TagLib::File.

## File() [3/3]

TagLib::IT::File::File | ( | const File & |  | ) |

delete

References File().

## Member Function Documentation

## audioProperties()

IT::Properties * TagLib::IT::File::audioProperties | ( |  | ) | const

override virtual

Returns the IT::Properties for this file. If no audio properties were read then this will return a null pointer.

Implements TagLib::File.

## operator=()

File & TagLib::IT::File::operator= | ( | const File & |  | ) |

delete

References File().

## save()

bool TagLib::IT::File::save | ( |  | ) |

override virtual

Save the file. This is the same as calling save(AllTags);

Note
  Saving Impulse Tracker tags is not supported.

Implements TagLib::File.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## tag()

Mod::Tag * TagLib::IT::File::tag | ( |  | ) | const

override virtual

Returns a pointer to this file's tag. This should be reimplemented in the concrete subclasses.

Implements TagLib::File.

The documentation for this class was generated from the following file:

- itfile.h